/*
 * Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 */
#ifndef SCI_VERSION_H
#define SCI_VERSION_H

#define SCI_VERSION_MAJOR @SCILAB_VERSION_MAJOR@
#define SCI_VERSION_MINOR @SCILAB_VERSION_MINOR@
#define SCI_VERSION_MAINTENANCE @SCILAB_VERSION_MAINTENANCE@
#define SCI_VERSION_STRING "scilab-branch-2025.1"
#define SCI_VERSION_WIDE_STRING L"scilab-branch-2025.1"

/* hash key commit and commit date set to the first Scilab commit and will be updated by the Compilation Chain */
#define SCI_VERSION_REVISION "0cc09d1c9c20db1f7e531e4317d11a4117ce8cf5"
#define SCI_VERSION_TIMESTAMP 988271013

/* for compatibility */
/* Deprecated */
#define SCI_VERSION SCI_VERSION_STRING
#define DEFAULT_SCI_VERSION_MESSAGE SCI_VERSION_WIDE_STRING

#endif
/*--------------------------------------------------------------------------*/

